<link rel="import" href="../../bower_components/polymer/polymer-element.html">

<dom-module id="avatar-usuario">
    <template>
        <style>
            :host {
                display: block
            }
        </style>
        <div>
            [[nombreCompleto]]
        </div>
    </template>
    <script>
        class AvatarUsuario extends Polymer.Element {
            static get is() {
                return 'avatar-usuario';
            }
            static get properties() {
                return {
                    nombre: String,
                    apellidos: String,
                    nombreCompleto: {
                        type: String,
                        computed: 'definirNombreCompleto(nombre, apellidos)'
                    }
                };
            }
            constructor() {
                super();
            }
            definirNombreCompleto(nombre, apellidos) {
                return nombre + ' ' + apellidos;
            }
        }
        window.customElements.define(AvatarUsuario.is, AvatarUsuario);
    </script>
</dom-module>